List History
curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/funds/assignments/{user_id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/funds/assignments/{user_id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/funds/assignments/{user_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"metadata": {
"actor": {
"kind": "ACTOR_KIND_UNSPECIFIED",
"userId": "<string>"
},
"annotations": [
{
"displayLabel": "<string>",
"displayUrl": "<string>",
"displayValue": "<string>",
"key": "<string>",
"kind": "ANNOTATION_KIND_UNSPECIFIED",
"rawValue": "<string>"
}
],
"changeKind": "CHANGE_KIND_UNSPECIFIED",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"syslogEventId": "<string>",
"traceId": "<string>"
},
"snapshot": {
"controls": {
"extension": {
"expiresAt": "2023-11-07T05:31:56Z",
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"reason": "<string>"
},
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"suspension": {
"reason": "<string>",
"suspendedAt": "2023-11-07T05:31:56Z"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"tenantId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
}
],
"nextPageToken": "<string>"
}Fund Assignments
List History
List the change history for one subject’s assignment, newest first.
GET
/
api
/
v1
/
funds
/
assignments
/
{user_id}
/
history
List History
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The userId field.
Was this page helpful?